GEOS: geos::algorithm::Centroid Class Reference

GEOS 3.5.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
geos::algorithm::Centroid Class Reference

`#include <Centroid.h>`

## Public Member Functions
| Centroid (const geom::Geometry &geom)
bool | getCentroid (geom::Coordinate &cent) const

## Static Public Member Functions
static bool | getCentroid (const geom::Geometry &geom, geom::Coordinate &cent)

## Detailed Description

Computes the centroid of a Geometry of any dimension. If the geometry is nomimally of higher dimension, but contains only components having a lower effective dimension (i.e. zero length or area), the centroid will be computed appropriately.

## Algorithm

- Dimension = 2 - Based on the usual algorithm for calculating the centroid as a weighted sum of the centroids of a decomposition of the area into (possibly overlapping) triangles. The algorithm has been extended to handle holes and multi-polygons. See `http://www.faqs.org/faqs/graphics/algorithms-faq/` for further details of the basic approach.
- Dimension = 1 - Computes the average of the midpoints of all line segments weighted by the segment length.
- Dimension = 0 - Compute the average coordinate over all points.

If the input geometries are empty, a `null` Coordinate is returned.

## Constructor & Destructor Documentation

geos::algorithm::Centroid::Centroid | ( | const geom::Geometry & | geom | ) |
| inline

Creates a new instance for computing the centroid of a geometry

## Member Function Documentation

static bool geos::algorithm::Centroid::getCentroid | ( | const geom::Geometry & | geom,
|  | geom::Coordinate & | cent
| ) |  |
| static

Computes the centroid point of a geometry.

Parameters

  geom | the geometry to use
  cent | will be set to the centroid point, if any

Returns
  true if a centroid could be computed, false otherwise (empty geom)

bool geos::algorithm::Centroid::getCentroid | ( | geom::Coordinate & | cent | ) | const

Gets the computed centroid.

Parameters

  cent | will be set to the centroid point, if any

Returns
  true if a centroid could be computed, false otherwise (empty geom)

The documentation for this class was generated from the following file:

- Centroid.h